The ID of the deployment the aliases should be listed for
teamId
string
No
—
The Team identifier to perform the request on behalf of.
slug
string
No
—
The Team slug to perform the request on behalf of.
alias
string
No
—
The alias we want to assign to the deployment defined in the URL
redirect
string
No
—
The redirect property will take precedence over the deployment id from the URL and consists of a hostname (like test.com) to which the alias should redirect using status code 307
Show inputSchema
{ "type": "object", "properties": { "PCID": { "type": "string", "description": "Pink Connect ID for the authenticated connection" }, "id": { "type": "string", "description": "The ID of the deployment the aliases should be listed for" }, "teamId": { "type": "string", "description": "The Team identifier to perform the request on behalf of." }, "slug": { "type": "string", "description": "The Team slug to perform the request on behalf of." }, "alias": { "type": "string", "description": "The alias we want to assign to the deployment defined in the URL" }, "redirect": { "type": "string", "description": "The redirect property will take precedence over the deployment id from the URL and consists of a hostname (like test.com) to which the alias should redirect using status code 307" } }, "required": [ "PCID", "id" ]}
Create a microfrontends group with applicationsParameters:
Parameter
Type
Required
Default
Description
teamId
string
No
—
The Team identifier to perform the request on behalf of.
slug
string
No
—
The Team slug to perform the request on behalf of.
defaultApp
object
Yes
—
The default app for the new microfrontend group
groupName
string
Yes
—
The name of the microfrontends group that will be used to identify the group
otherApplications
object[]
Yes
—
The list of other applications that will be used in the new microfrontend group
Show inputSchema
{ "type": "object", "properties": { "PCID": { "type": "string", "description": "Pink Connect ID for the authenticated connection" }, "teamId": { "type": "string", "description": "The Team identifier to perform the request on behalf of." }, "slug": { "type": "string", "description": "The Team slug to perform the request on behalf of." }, "defaultApp": { "type": "object", "description": "The default app for the new microfrontend group", "properties": { "projectId": { "type": "string", "description": "The id of the project that will be used as the default app for the new microfrontend group" }, "defaultRoute": { "type": "string", "description": "The default route for the default app of the new microfrontend group" } }, "required": [ "projectId" ] }, "groupName": { "type": "string", "description": "The name of the microfrontends group that will be used to identify the group" }, "otherApplications": { "type": "array", "items": { "type": "object" }, "description": "The list of other applications that will be used in the new microfrontend group" } }, "required": [ "PCID", "defaultApp", "groupName", "otherApplications" ]}
The Team identifier to perform the request on behalf of.
slug
string
No
—
The Team slug to perform the request on behalf of.
awsAvailabilityZoneIds
string[]
No
—
Aws Availability Zone Ids
cidr
string
Yes
—
The CIDR block of the network
name
string
Yes
—
The name of the network
region
string
Yes
—
The region where the network will be created
Show inputSchema
{ "type": "object", "properties": { "PCID": { "type": "string", "description": "Pink Connect ID for the authenticated connection" }, "teamId": { "type": "string", "description": "The Team identifier to perform the request on behalf of." }, "slug": { "type": "string", "description": "The Team slug to perform the request on behalf of." }, "awsAvailabilityZoneIds": { "type": "array", "items": { "type": "string" }, "description": "Aws Availability Zone Ids" }, "cidr": { "type": "string", "description": "The CIDR block of the network" }, "name": { "type": "string", "description": "The name of the network" }, "region": { "type": "string", "description": "The region where the network will be created" } }, "required": [ "PCID", "cidr", "name", "region" ]}
The Team identifier to perform the request on behalf of.
slug
string
No
—
The Team slug to perform the request on behalf of.
Show inputSchema
{ "type": "object", "properties": { "PCID": { "type": "string", "description": "Pink Connect ID for the authenticated connection" }, "aliasId": { "type": "string", "description": "The ID or alias that will be removed" }, "teamId": { "type": "string", "description": "The Team identifier to perform the request on behalf of." }, "slug": { "type": "string", "description": "The Team slug to perform the request on behalf of." } }, "required": [ "PCID", "aliasId" ]}
The Team identifier to perform the request on behalf of.
slug
string
No
—
The Team slug to perform the request on behalf of.
Show inputSchema
{ "type": "object", "properties": { "PCID": { "type": "string", "description": "Pink Connect ID for the authenticated connection" }, "networkId": { "type": "string", "description": "The ID of the network to delete" }, "teamId": { "type": "string", "description": "The Team identifier to perform the request on behalf of." }, "slug": { "type": "string", "description": "The Team slug to perform the request on behalf of." } }, "required": [ "PCID", "networkId" ]}
The Team identifier to perform the request on behalf of.
slug
string
No
—
The Team slug to perform the request on behalf of.
routeIds
string[]
Yes
—
The IDs of the routes to delete
Show inputSchema
{ "type": "object", "properties": { "PCID": { "type": "string", "description": "Pink Connect ID for the authenticated connection" }, "projectId": { "type": "string", "description": "Project Id" }, "teamId": { "type": "string", "description": "The Team identifier to perform the request on behalf of." }, "slug": { "type": "string", "description": "The Team slug to perform the request on behalf of." }, "routeIds": { "type": "array", "items": { "type": "string" }, "description": "The IDs of the routes to delete" } }, "required": [ "PCID", "projectId", "routeIds" ]}
Get the alias only if it was created after the provided timestamp
idOrAlias
string
Yes
—
The alias or alias ID to be retrieved
projectId
string
No
—
Get the alias only if it is assigned to the provided project ID
since
number
No
—
Get the alias only if it was created after this JavaScript timestamp
until
number
No
—
Get the alias only if it was created before this JavaScript timestamp
teamId
string
No
—
The Team identifier to perform the request on behalf of.
slug
string
No
—
The Team slug to perform the request on behalf of.
Show inputSchema
{ "type": "object", "properties": { "PCID": { "type": "string", "description": "Pink Connect ID for the authenticated connection" }, "from": { "type": "number", "description": "Get the alias only if it was created after the provided timestamp" }, "idOrAlias": { "type": "string", "description": "The alias or alias ID to be retrieved" }, "projectId": { "type": "string", "description": "Get the alias only if it is assigned to the provided project ID" }, "since": { "type": "number", "description": "Get the alias only if it was created after this JavaScript timestamp" }, "until": { "type": "number", "description": "Get the alias only if it was created before this JavaScript timestamp" }, "teamId": { "type": "string", "description": "The Team identifier to perform the request on behalf of." }, "slug": { "type": "string", "description": "The Team slug to perform the request on behalf of." } }, "required": [ "PCID", "idOrAlias" ]}
Get microfrontends config for a deploymentParameters:
Parameter
Type
Required
Default
Description
deploymentId
string
Yes
—
The unique deployment identifier
teamId
string
No
—
The Team identifier to perform the request on behalf of.
slug
string
No
—
The Team slug to perform the request on behalf of.
Show inputSchema
{ "type": "object", "properties": { "PCID": { "type": "string", "description": "Pink Connect ID for the authenticated connection" }, "deploymentId": { "type": "string", "description": "The unique deployment identifier" }, "teamId": { "type": "string", "description": "The Team identifier to perform the request on behalf of." }, "slug": { "type": "string", "description": "The Team slug to perform the request on behalf of." } }, "required": [ "PCID", "deploymentId" ]}
Get microfrontends config for a projectParameters:
Parameter
Type
Required
Default
Description
projectIdOrName
string
Yes
—
The name or ID of the project
teamId
string
No
—
The Team identifier to perform the request on behalf of.
slug
string
No
—
The Team slug to perform the request on behalf of.
Show inputSchema
{ "type": "object", "properties": { "PCID": { "type": "string", "description": "Pink Connect ID for the authenticated connection" }, "projectIdOrName": { "type": "string", "description": "The name or ID of the project" }, "teamId": { "type": "string", "description": "The Team identifier to perform the request on behalf of." }, "slug": { "type": "string", "description": "The Team slug to perform the request on behalf of." } }, "required": [ "PCID", "projectIdOrName" ]}
The Team identifier to perform the request on behalf of.
slug
string
No
—
The Team slug to perform the request on behalf of.
Show inputSchema
{ "type": "object", "properties": { "PCID": { "type": "string", "description": "Pink Connect ID for the authenticated connection" }, "teamId": { "type": "string", "description": "The Team identifier to perform the request on behalf of." }, "slug": { "type": "string", "description": "The Team slug to perform the request on behalf of." } }, "required": [ "PCID" ]}
List projects in a microfrontends groupParameters:
Parameter
Type
Required
Default
Description
groupId
string
Yes
—
Group Id
teamId
string
No
—
The Team identifier to perform the request on behalf of.
slug
string
No
—
The Team slug to perform the request on behalf of.
Show inputSchema
{ "type": "object", "properties": { "PCID": { "type": "string", "description": "Pink Connect ID for the authenticated connection" }, "groupId": { "type": "string", "description": "Group Id" }, "teamId": { "type": "string", "description": "The Team identifier to perform the request on behalf of." }, "slug": { "type": "string", "description": "The Team slug to perform the request on behalf of." } }, "required": [ "PCID", "groupId" ]}
The Team identifier to perform the request on behalf of.
slug
string
No
—
The Team slug to perform the request on behalf of.
Show inputSchema
{ "type": "object", "properties": { "PCID": { "type": "string", "description": "Pink Connect ID for the authenticated connection" }, "projectId": { "type": "string", "description": "Project Id" }, "teamId": { "type": "string", "description": "The Team identifier to perform the request on behalf of." }, "slug": { "type": "string", "description": "The Team slug to perform the request on behalf of." } }, "required": [ "PCID", "projectId" ]}
Get only aliases created after the provided timestamp
limit
number
No
—
Maximum number of aliases to list from a request
projectId
string
No
—
Filter aliases from the given projectId
since
number
No
—
Get aliases created after this JavaScript timestamp
until
number
No
—
Get aliases created before this JavaScript timestamp
rollbackDeploymentId
string
No
—
Get aliases that would be rolled back for the given deployment
teamId
string
No
—
The Team identifier to perform the request on behalf of.
slug
string
No
—
The Team slug to perform the request on behalf of.
Show inputSchema
{ "type": "object", "properties": { "PCID": { "type": "string", "description": "Pink Connect ID for the authenticated connection" }, "domain": { "type": "array", "items": { "type": "string" }, "description": "Get only aliases of the given domain name" }, "from": { "type": "number", "description": "Get only aliases created after the provided timestamp" }, "limit": { "type": "number", "description": "Maximum number of aliases to list from a request" }, "projectId": { "type": "string", "description": "Filter aliases from the given `projectId`" }, "since": { "type": "number", "description": "Get aliases created after this JavaScript timestamp" }, "until": { "type": "number", "description": "Get aliases created before this JavaScript timestamp" }, "rollbackDeploymentId": { "type": "string", "description": "Get aliases that would be rolled back for the given deployment" }, "teamId": { "type": "string", "description": "The Team identifier to perform the request on behalf of." }, "slug": { "type": "string", "description": "The Team slug to perform the request on behalf of." } }, "required": [ "PCID" ]}
The ID of the deployment the aliases should be listed for
teamId
string
No
—
The Team identifier to perform the request on behalf of.
slug
string
No
—
The Team slug to perform the request on behalf of.
Show inputSchema
{ "type": "object", "properties": { "PCID": { "type": "string", "description": "Pink Connect ID for the authenticated connection" }, "id": { "type": "string", "description": "The ID of the deployment the aliases should be listed for" }, "teamId": { "type": "string", "description": "The Team identifier to perform the request on behalf of." }, "slug": { "type": "string", "description": "The Team slug to perform the request on behalf of." } }, "required": [ "PCID", "id" ]}
Whether to include VPC Peering connections in the response
includeProjects
boolean
No
—
Whether to include projects in the response
search
string
No
—
The query to use as a filter for returned networks
teamId
string
No
—
The Team identifier to perform the request on behalf of.
slug
string
No
—
The Team slug to perform the request on behalf of.
Show inputSchema
{ "type": "object", "properties": { "PCID": { "type": "string", "description": "Pink Connect ID for the authenticated connection" }, "includeHostedZones": { "type": "boolean", "description": "Whether to include Hosted Zones in the response" }, "includePeeringConnections": { "type": "boolean", "description": "Whether to include VPC Peering connections in the response" }, "includeProjects": { "type": "boolean", "description": "Whether to include projects in the response" }, "search": { "type": "string", "description": "The query to use as a filter for returned networks" }, "teamId": { "type": "string", "description": "The Team identifier to perform the request on behalf of." }, "slug": { "type": "string", "description": "The Team slug to perform the request on behalf of." } }, "required": [ "PCID" ]}
The Team identifier to perform the request on behalf of.
slug
string
No
—
The Team slug to perform the request on behalf of.
body
object
No
—
Request body
Show inputSchema
{ "type": "object", "properties": { "PCID": { "type": "string", "description": "Pink Connect ID for the authenticated connection" }, "id": { "type": "string", "description": "The alias or deployment ID" }, "teamId": { "type": "string", "description": "The Team identifier to perform the request on behalf of." }, "slug": { "type": "string", "description": "The Team slug to perform the request on behalf of." }, "body": { "description": "Request body" } }, "required": [ "PCID", "id" ]}
The unique identifier of the Secure Compute network
teamId
string
No
—
The Team identifier to perform the request on behalf of.
slug
string
No
—
The Team slug to perform the request on behalf of.
Show inputSchema
{ "type": "object", "properties": { "PCID": { "type": "string", "description": "Pink Connect ID for the authenticated connection" }, "networkId": { "type": "string", "description": "The unique identifier of the Secure Compute network" }, "teamId": { "type": "string", "description": "The Team identifier to perform the request on behalf of." }, "slug": { "type": "string", "description": "The Team slug to perform the request on behalf of." } }, "required": [ "PCID", "networkId" ]}
The unique identifier of the Secure Compute network
teamId
string
No
—
The Team identifier to perform the request on behalf of.
slug
string
No
—
The Team slug to perform the request on behalf of.
name
string
Yes
—
The name of the Secure Compute network
Show inputSchema
{ "type": "object", "properties": { "PCID": { "type": "string", "description": "Pink Connect ID for the authenticated connection" }, "networkId": { "type": "string", "description": "The unique identifier of the Secure Compute network" }, "teamId": { "type": "string", "description": "The Team identifier to perform the request on behalf of." }, "slug": { "type": "string", "description": "The Team slug to perform the request on behalf of." }, "name": { "type": "string", "description": "The name of the Secure Compute network" } }, "required": [ "PCID", "networkId", "name" ]}
The Team identifier to perform the request on behalf of.
slug
string
No
—
The Team slug to perform the request on behalf of.
builds
boolean
No
—
Whether to use Static IPs for builds.
regions
string[]
No
—
The regions value
Show inputSchema
{ "type": "object", "properties": { "PCID": { "type": "string", "description": "Pink Connect ID for the authenticated connection" }, "idOrName": { "type": "string", "description": "The unique project identifier or the project name" }, "teamId": { "type": "string", "description": "The Team identifier to perform the request on behalf of." }, "slug": { "type": "string", "description": "The Team slug to perform the request on behalf of." }, "builds": { "type": "boolean", "description": "Whether to use Static IPs for builds." }, "regions": { "type": "array", "items": { "type": "string" }, "description": "The regions value" } }, "required": [ "PCID", "idOrName" ]}